Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 1267183003: Hide requests in an extension from other extensions (Closed)

Created:
4 years, 1 month ago by robwu
Modified:
4 years, 1 month ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Hide requests in an extension from other extensions BUG=510802 Committed: https://crrev.com/86154b409eed6ea7f9177f6bf576e76533ab2f7b Cr-Commit-Position: refs/heads/master@{#341939}

Patch Set 1 #

Patch Set 2 : Fix tests, add TODO for ExtensionWebRequestEventRouter::OnEventHandled #

Total comments: 18

Patch Set 3 : Update tests (processed review comments #8). #

Total comments: 7

Patch Set 4 : Update comment in operator<, remove blank line, OOPIF-friendly test #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+210 lines, -16 lines) Patch
M chrome/browser/extensions/api/web_request/web_request_apitest.cc View 1 2 3 1 chunk +65 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/app/background.js View 1 2 1 chunk +17 lines, -0 lines 0 comments Download
A + chrome/test/data/extensions/api_test/webrequest_extensions/app/manifest.json View 1 2 1 chunk +3 lines, -2 lines 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/extension/background.js View 1 2 1 chunk +18 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/extension/contentscript.js View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
A + chrome/test/data/extensions/api_test/webrequest_extensions/extension/frame.html View 1 2 1 chunk +1 line, -1 line 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/extension/framescript.js View 1 2 1 chunk +16 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/extension/manifest.json View 1 2 1 chunk +15 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/webrequest_extensions/main/background.js View 1 2 1 chunk +25 lines, -0 lines 0 comments Download
A + chrome/test/data/extensions/api_test/webrequest_extensions/main/manifest.json View 1 2 1 chunk +7 lines, -6 lines 0 comments Download
M extensions/browser/api/web_request/web_request_api.cc View 1 2 3 5 chunks +22 lines, -7 lines 3 comments Download

Messages

Total messages: 24 (8 generated)
robwu
Dominic: Please review my logic. Ben: Please review perform the OWNER review. Fady: I have ...
4 years, 1 month ago (2015-08-04 11:37:30 UTC) #3
Fady Samuel
I no longer work on <webview>. Passing along to Istiaque! Thanks!
4 years, 1 month ago (2015-08-04 14:40:57 UTC) #5
lazyboy
FYI, before I can review, can you provide me access to crbug.com/510802. I don't have ...
4 years, 1 month ago (2015-08-04 15:59:26 UTC) #6
robwu
On 2015/08/04 15:59:26, lazyboy wrote: > FYI, before I can review, can you provide me ...
4 years, 1 month ago (2015-08-04 16:18:15 UTC) #7
not at google - send to devlin
Thanks for doing this. https://codereview.chromium.org/1267183003/diff/20001/chrome/browser/extensions/api/web_request/web_request_apitest.cc File chrome/browser/extensions/api/web_request/web_request_apitest.cc (right): https://codereview.chromium.org/1267183003/diff/20001/chrome/browser/extensions/api/web_request/web_request_apitest.cc#newcode330 chrome/browser/extensions/api/web_request/web_request_apitest.cc:330: ExtensionTestMessageListener listener_extension("extension_done", false); could you ...
4 years, 1 month ago (2015-08-04 20:27:02 UTC) #8
robwu
https://codereview.chromium.org/1267183003/diff/20001/chrome/browser/extensions/api/web_request/web_request_apitest.cc File chrome/browser/extensions/api/web_request/web_request_apitest.cc (right): https://codereview.chromium.org/1267183003/diff/20001/chrome/browser/extensions/api/web_request/web_request_apitest.cc#newcode330 chrome/browser/extensions/api/web_request/web_request_apitest.cc:330: ExtensionTestMessageListener listener_extension("extension_done", false); On 2015/08/04 20:27:02, kalman wrote: > ...
4 years, 1 month ago (2015-08-04 21:57:24 UTC) #9
not at google - send to devlin
lgtm https://codereview.chromium.org/1267183003/diff/20001/extensions/browser/api/web_request/web_request_api.cc File extensions/browser/api/web_request/web_request_api.cc (right): https://codereview.chromium.org/1267183003/diff/20001/extensions/browser/api/web_request/web_request_api.cc#newcode454 extensions/browser/api/web_request/web_request_api.cc:454: // of find() without specifying the process ID ...
4 years, 1 month ago (2015-08-04 23:12:03 UTC) #11
Devlin
https://codereview.chromium.org/1267183003/diff/40001/chrome/browser/extensions/api/web_request/web_request_apitest.cc File chrome/browser/extensions/api/web_request/web_request_apitest.cc (right): https://codereview.chromium.org/1267183003/diff/40001/chrome/browser/extensions/api/web_request/web_request_apitest.cc#newcode377 chrome/browser/extensions/api/web_request/web_request_apitest.cc:377: // extension. On 2015/08/04 23:12:03, kalman wrote: > +rdcronin ...
4 years, 1 month ago (2015-08-04 23:19:20 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1267183003/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1267183003/60001
4 years, 1 month ago (2015-08-05 12:51:40 UTC) #15
battre
https://codereview.chromium.org/1267183003/diff/60001/extensions/browser/api/web_request/web_request_api.cc File extensions/browser/api/web_request/web_request_api.cc (right): https://codereview.chromium.org/1267183003/diff/60001/extensions/browser/api/web_request/web_request_api.cc#newcode1485 extensions/browser/api/web_request/web_request_api.cc:1485: // content scripts, or extension pages in non-extension processes. ...
4 years, 1 month ago (2015-08-05 13:49:47 UTC) #16
robwu
https://codereview.chromium.org/1267183003/diff/20001/extensions/browser/api/web_request/web_request_api.cc File extensions/browser/api/web_request/web_request_api.cc (right): https://codereview.chromium.org/1267183003/diff/20001/extensions/browser/api/web_request/web_request_api.cc#newcode454 extensions/browser/api/web_request/web_request_api.cc:454: // of find() without specifying the process ID of ...
4 years, 1 month ago (2015-08-05 16:38:09 UTC) #17
not at google - send to devlin
https://codereview.chromium.org/1267183003/diff/60001/extensions/browser/api/web_request/web_request_api.cc File extensions/browser/api/web_request/web_request_api.cc (right): https://codereview.chromium.org/1267183003/diff/60001/extensions/browser/api/web_request/web_request_api.cc#newcode1485 extensions/browser/api/web_request/web_request_api.cc:1485: // content scripts, or extension pages in non-extension processes. ...
4 years, 1 month ago (2015-08-05 16:49:59 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_10.10_rel_ng on tryserver.chromium.mac (JOB_TIMED_OUT, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_10.10_rel_ng/builds/2197)
4 years, 1 month ago (2015-08-05 18:53:36 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1267183003/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1267183003/60001
4 years, 1 month ago (2015-08-05 18:57:05 UTC) #22
commit-bot: I haz the power
Committed patchset #4 (id:60001)
4 years, 1 month ago (2015-08-05 19:30:18 UTC) #23
commit-bot: I haz the power
4 years, 1 month ago (2015-08-05 19:30:52 UTC) #24
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/86154b409eed6ea7f9177f6bf576e76533ab2f7b
Cr-Commit-Position: refs/heads/master@{#341939}

Powered by Google App Engine
This is Rietveld 408576698